| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions

# IG::Num::Func3d2dExamples::Torus Class Reference

Parametric equation of a toroid surface in form of 3D vector function of 2 variables. Can be combined with TorusVertical to show 2 interlocked toroids. More...

Inheritance diagram for IG::Num::Func3d2dExamples::Torus:
[legend]
Collaboration diagram for IG::Num::Func3d2dExamples::Torus:
[legend]

List of all members.

## Public Member Functions
| Torus ()
| Constructs a parametric definition of a torus with radius of centerline 1 and radius of surface circles 0.25.
| Torus (double radiusRatio)
| Constructs a parametric definition of a torus with the radius of centerline equal to 1 and the specified ratio between radius of the radius of cross-section circles and radius of the centerline.
| Torus (double a, double c)
| Constructs a parametric definition of a torus with the specified radius of centerline and radius of surface circles.
## Public Attributes
double | a = 0.25
double | c = 1.0
## Protected Member Functions
override double | f1 (double u, double v)
override double | f2 (double u, double v)
override double | f3 (double u, double v)

## Detailed Description

Parametric equation of a toroid surface in form of 3D vector function of 2 variables.

Can be combined with TorusVertical to show 2 interlocked toroids.

See also http://www.vtk.org/VTK/img/ParametricSurfaces.pdf .

$A Igor Oct09;

## Constructor & Destructor Documentation

IG::Num::Func3d2dExamples::Torus::Torus | ( |  | ) | `[inline]`

Constructs a parametric definition of a torus with radius of centerline 1 and radius of surface circles 0.25.

IG::Num::Func3d2dExamples::Torus::Torus | ( | double | radiusRatio | ) | `[inline]`

Constructs a parametric definition of a torus with the radius of centerline equal to 1 and the specified ratio between radius of the radius of cross-section circles and radius of the centerline.

Parameters:

  radiusRatio | Ratio between the radius of cross-section circles and radius of the centerline (normally between 0 and 1).

IG::Num::Func3d2dExamples::Torus::Torus | ( | double | a,
|  | double | c
| ) |  | `[inline]`

Constructs a parametric definition of a torus with the specified radius of centerline and radius of surface circles.

Parameters:

  a | Radius of cross-section circles.
  c | Radius of the centerline, should normally be greater than a .

## Member Function Documentation

override double IG::Num::Func3d2dExamples::Torus::f1 | ( | double | u,
|  | double | v
| ) |  | `[inline, protected, virtual]`

Implements IG::Num::Func3d2dExamples::ParametricSurface.

override double IG::Num::Func3d2dExamples::Torus::f2 | ( | double | u,
|  | double | v
| ) |  | `[inline, protected, virtual]`

Implements IG::Num::Func3d2dExamples::ParametricSurface.

override double IG::Num::Func3d2dExamples::Torus::f3 | ( | double | u,
|  | double | v
| ) |  | `[inline, protected, virtual]`

Implements IG::Num::Func3d2dExamples::ParametricSurface.

## Member Data Documentation

double IG::Num::Func3d2dExamples::Torus::a = 0.25

double IG::Num::Func3d2dExamples::Torus::c = 1.0

The documentation for this class was generated from the following file:

- Function3d2d.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events